# iwininfo - finds the x and y extent of the window
# Author     : Robert Greimel (greimel@ing.iac.es)
# Last Change: 07. Dec. 2000
##############################################################################
procedure iwininfo(input,window)

file	input		{prompt="Input image"}
int	window		{prompt="window number"}
int	xstart		{prompt="x start value of window"}
int	xend		{prompt="x end value of window"}
int	ystart		{prompt="y start value of window"}
int	yend		{prompt="y end value of window"}
string	section		{prompt="window section"}
bool	verbose		{prompt="Verbose ?"}

begin

  string	imgname,swin
  int		iwin
  int		i1,i2

  # copy input arguments to force definition at the beginning of the script
  imgname=input
  iwin=window

  # default output values
  xstart = 0
  xend = 0
  ystart = 0
  yend = 0
  section = "[0:0,0:0]"

  #####
  # find necessary information to destinguish cases
  #####

  # check file subtraction and format
  icheckfile(imgname,verbose=no)
 
  # Check if any windows are available. ImpB does not have windows.

  if ( icheckfile.format == "UDAS" && icheckfile.nwindows >= iwin )
    {
    # decode window range of form [0:0,0:0]
    imgets(image=imgname//"[0]", param="WINSEC"//iwin)
    swin = imgets.value

    i1 = stridx("[",swin)
    i2 = stridx(":",swin)
    xstart = int(substr(swin, i1+1, i2-1))
    swin = substr(swin, i2+1, strlen(swin))
    i2 = stridx(",",swin)
    xend = int(substr(swin, 1, i2-1))
    swin = substr(swin, i2+1, strlen(swin))
    i2 = stridx(":",swin)
    ystart = int(substr(swin, 1, i2-1))
    swin = substr(swin, i2+1, strlen(swin))
    i2 = stridx("]",swin)
    yend = int(substr(swin, 1, i2-1))

    section = imgets.value
    i2 = stridx("]",section)
    section = substr(section, 1, i2)
    }

  if ( verbose )
    {
    print ("xstart  : "//xstart)
    print ("xend    : "//xend)
    print ("ystart  : "//ystart)
    print ("yend    : "//yend)
    print ("section : "//section)
    }

end
